
module "datadog-forwarders" {
  source = "terraform-aws-modules/datadog-forwarders/aws"
  version = "6.0.1"
  agent_vpce_policy = var.agent_vpce_policy
  agent_vpce_security_group_ids = var.agent_vpce_security_group_ids
  agent_vpce_subnet_ids = var.agent_vpce_subnet_ids
  agent_vpce_tags = var.agent_vpce_tags
  api_vpce_policy = var.api_vpce_policy
  api_vpce_security_group_ids = var.api_vpce_security_group_ids
  api_vpce_subnet_ids = var.api_vpce_subnet_ids
  api_vpce_tags = var.api_vpce_tags
  bucket_attach_deny_insecure_transport_policy = var.bucket_attach_deny_insecure_transport_policy
  bucket_encryption_settings = var.bucket_encryption_settings
  bucket_name = var.bucket_name
  create_agent_vpce = var.create_agent_vpce
  create_api_vpce = var.create_api_vpce
  create_bucket = var.create_bucket
  create_log_forwarder = var.create_log_forwarder
  create_log_forwarder_role = var.create_log_forwarder_role
  create_log_forwarder_role_policy = var.create_log_forwarder_role_policy
  create_log_forwarder_vpce = var.create_log_forwarder_vpce
  create_metrics_vpce = var.create_metrics_vpce
  create_processes_vpce = var.create_processes_vpce
  create_rds_em_forwarder = var.create_rds_em_forwarder
  create_rds_em_forwarder_role = var.create_rds_em_forwarder_role
  create_rds_em_forwarder_role_policy = var.create_rds_em_forwarder_role_policy
  create_traces_vpce = var.create_traces_vpce
  create_vpc_fl_forwarder = var.create_vpc_fl_forwarder
  create_vpc_fl_forwarder_role = var.create_vpc_fl_forwarder_role
  create_vpc_fl_forwarder_role_policy = var.create_vpc_fl_forwarder_role_policy
  dd_api_key = var.dd_api_key
  dd_api_key_secret_arn = var.dd_api_key_secret_arn
  dd_app_key = var.dd_app_key
  dd_site = var.dd_site
  kms_alias = var.kms_alias
  log_forwarder_architectures = var.log_forwarder_architectures
  log_forwarder_bucket_prefix = var.log_forwarder_bucket_prefix
  log_forwarder_environment_variables = var.log_forwarder_environment_variables
  log_forwarder_kms_key_arn = var.log_forwarder_kms_key_arn
  log_forwarder_lambda_tags = var.log_forwarder_lambda_tags
  log_forwarder_layers = var.log_forwarder_layers
  log_forwarder_log_kms_key_id = var.log_forwarder_log_kms_key_id
  log_forwarder_log_retention_days = var.log_forwarder_log_retention_days
  log_forwarder_memory_size = var.log_forwarder_memory_size
  log_forwarder_name = var.log_forwarder_name
  log_forwarder_policy_arn = var.log_forwarder_policy_arn
  log_forwarder_policy_name = var.log_forwarder_policy_name
  log_forwarder_policy_path = var.log_forwarder_policy_path
  log_forwarder_publish = var.log_forwarder_publish
  log_forwarder_reserved_concurrent_executions = var.log_forwarder_reserved_concurrent_executions
  log_forwarder_role_arn = var.log_forwarder_role_arn
  log_forwarder_role_max_session_duration = var.log_forwarder_role_max_session_duration
  log_forwarder_role_name = var.log_forwarder_role_name
  log_forwarder_role_path = var.log_forwarder_role_path
  log_forwarder_role_permissions_boundary = var.log_forwarder_role_permissions_boundary
  log_forwarder_role_tags = var.log_forwarder_role_tags
  log_forwarder_runtime = var.log_forwarder_runtime
  log_forwarder_s3_log_bucket_arns = var.log_forwarder_s3_log_bucket_arns
  log_forwarder_s3_zip_kms_key_id = var.log_forwarder_s3_zip_kms_key_id
  log_forwarder_s3_zip_metadata = var.log_forwarder_s3_zip_metadata
  log_forwarder_s3_zip_server_side_encryption = var.log_forwarder_s3_zip_server_side_encryption
  log_forwarder_s3_zip_storage_class = var.log_forwarder_s3_zip_storage_class
  log_forwarder_s3_zip_tags = var.log_forwarder_s3_zip_tags
  log_forwarder_s3_zip_tags_only = var.log_forwarder_s3_zip_tags_only
  log_forwarder_security_group_ids = var.log_forwarder_security_group_ids
  log_forwarder_subnet_ids = var.log_forwarder_subnet_ids
  log_forwarder_tags = var.log_forwarder_tags
  log_forwarder_timeout = var.log_forwarder_timeout
  log_forwarder_use_policy_name_prefix = var.log_forwarder_use_policy_name_prefix
  log_forwarder_use_role_name_prefix = var.log_forwarder_use_role_name_prefix
  log_forwarder_version = var.log_forwarder_version
  log_forwarder_vpce_policy = var.log_forwarder_vpce_policy
  log_forwarder_vpce_security_group_ids = var.log_forwarder_vpce_security_group_ids
  log_forwarder_vpce_subnet_ids = var.log_forwarder_vpce_subnet_ids
  log_forwarder_vpce_tags = var.log_forwarder_vpce_tags
  metrics_vpce_policy = var.metrics_vpce_policy
  metrics_vpce_security_group_ids = var.metrics_vpce_security_group_ids
  metrics_vpce_subnet_ids = var.metrics_vpce_subnet_ids
  metrics_vpce_tags = var.metrics_vpce_tags
  processes_vpce_policy = var.processes_vpce_policy
  processes_vpce_security_group_ids = var.processes_vpce_security_group_ids
  processes_vpce_subnet_ids = var.processes_vpce_subnet_ids
  processes_vpce_tags = var.processes_vpce_tags
  rds_em_forwarder_architectures = var.rds_em_forwarder_architectures
  rds_em_forwarder_environment_variables = var.rds_em_forwarder_environment_variables
  rds_em_forwarder_kms_key_arn = var.rds_em_forwarder_kms_key_arn
  rds_em_forwarder_lambda_tags = var.rds_em_forwarder_lambda_tags
  rds_em_forwarder_layers = var.rds_em_forwarder_layers
  rds_em_forwarder_log_kms_key_id = var.rds_em_forwarder_log_kms_key_id
  rds_em_forwarder_log_retention_days = var.rds_em_forwarder_log_retention_days
  rds_em_forwarder_memory_size = var.rds_em_forwarder_memory_size
  rds_em_forwarder_name = var.rds_em_forwarder_name
  rds_em_forwarder_policy_arn = var.rds_em_forwarder_policy_arn
  rds_em_forwarder_policy_name = var.rds_em_forwarder_policy_name
  rds_em_forwarder_policy_path = var.rds_em_forwarder_policy_path
  rds_em_forwarder_publish = var.rds_em_forwarder_publish
  rds_em_forwarder_reserved_concurrent_executions = var.rds_em_forwarder_reserved_concurrent_executions
  rds_em_forwarder_role_arn = var.rds_em_forwarder_role_arn
  rds_em_forwarder_role_max_session_duration = var.rds_em_forwarder_role_max_session_duration
  rds_em_forwarder_role_name = var.rds_em_forwarder_role_name
  rds_em_forwarder_role_path = var.rds_em_forwarder_role_path
  rds_em_forwarder_role_permissions_boundary = var.rds_em_forwarder_role_permissions_boundary
  rds_em_forwarder_role_tags = var.rds_em_forwarder_role_tags
  rds_em_forwarder_runtime = var.rds_em_forwarder_runtime
  rds_em_forwarder_security_group_ids = var.rds_em_forwarder_security_group_ids
  rds_em_forwarder_subnet_ids = var.rds_em_forwarder_subnet_ids
  rds_em_forwarder_tags = var.rds_em_forwarder_tags
  rds_em_forwarder_timeout = var.rds_em_forwarder_timeout
  rds_em_forwarder_use_policy_name_prefix = var.rds_em_forwarder_use_policy_name_prefix
  rds_em_forwarder_use_role_name_prefix = var.rds_em_forwarder_use_role_name_prefix
  rds_em_forwarder_version = var.rds_em_forwarder_version
  tags = var.tags
  traces_vpce_policy = var.traces_vpce_policy
  traces_vpce_security_group_ids = var.traces_vpce_security_group_ids
  traces_vpce_subnet_ids = var.traces_vpce_subnet_ids
  traces_vpce_tags = var.traces_vpce_tags
  vpc_fl_forwarder_architectures = var.vpc_fl_forwarder_architectures
  vpc_fl_forwarder_environment_variables = var.vpc_fl_forwarder_environment_variables
  vpc_fl_forwarder_kms_key_arn = var.vpc_fl_forwarder_kms_key_arn
  vpc_fl_forwarder_lambda_tags = var.vpc_fl_forwarder_lambda_tags
  vpc_fl_forwarder_layers = var.vpc_fl_forwarder_layers
  vpc_fl_forwarder_log_kms_key_id = var.vpc_fl_forwarder_log_kms_key_id
  vpc_fl_forwarder_log_retention_days = var.vpc_fl_forwarder_log_retention_days
  vpc_fl_forwarder_memory_size = var.vpc_fl_forwarder_memory_size
  vpc_fl_forwarder_name = var.vpc_fl_forwarder_name
  vpc_fl_forwarder_policy_arn = var.vpc_fl_forwarder_policy_arn
  vpc_fl_forwarder_policy_name = var.vpc_fl_forwarder_policy_name
  vpc_fl_forwarder_policy_path = var.vpc_fl_forwarder_policy_path
  vpc_fl_forwarder_publish = var.vpc_fl_forwarder_publish
  vpc_fl_forwarder_read_cloudwatch_logs = var.vpc_fl_forwarder_read_cloudwatch_logs
  vpc_fl_forwarder_reserved_concurrent_executions = var.vpc_fl_forwarder_reserved_concurrent_executions
  vpc_fl_forwarder_role_arn = var.vpc_fl_forwarder_role_arn
  vpc_fl_forwarder_role_max_session_duration = var.vpc_fl_forwarder_role_max_session_duration
  vpc_fl_forwarder_role_name = var.vpc_fl_forwarder_role_name
  vpc_fl_forwarder_role_path = var.vpc_fl_forwarder_role_path
  vpc_fl_forwarder_role_permissions_boundary = var.vpc_fl_forwarder_role_permissions_boundary
  vpc_fl_forwarder_role_tags = var.vpc_fl_forwarder_role_tags
  vpc_fl_forwarder_runtime = var.vpc_fl_forwarder_runtime
  vpc_fl_forwarder_s3_log_bucket_arns = var.vpc_fl_forwarder_s3_log_bucket_arns
  vpc_fl_forwarder_security_group_ids = var.vpc_fl_forwarder_security_group_ids
  vpc_fl_forwarder_subnet_ids = var.vpc_fl_forwarder_subnet_ids
  vpc_fl_forwarder_tags = var.vpc_fl_forwarder_tags
  vpc_fl_forwarder_timeout = var.vpc_fl_forwarder_timeout
  vpc_fl_forwarder_use_policy_name_prefix = var.vpc_fl_forwarder_use_policy_name_prefix
  vpc_fl_forwarder_use_role_name_prefix = var.vpc_fl_forwarder_use_role_name_prefix
  vpc_fl_forwarder_version = var.vpc_fl_forwarder_version
  vpc_id = var.vpc_id
}
